"""file type

Revision ID: 222c027bbdec
Revises: 55161145af8f
Create Date: 2022-11-21 10:08:57.276652

"""
import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = "222c027bbdec"
down_revision = "55161145af8f"
branch_labels = None
depends_on = None

file_type_choices = sa.Enum("data", "ratings", "other", name="file_type_choices")


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    file_type_choices.create(op.get_bind())
    op.execute("ALTER TABLE raw_files ADD COLUMN file_type text;")
    op.execute(
        "ALTER TABLE raw_files ALTER COLUMN file_type TYPE file_type_choices USING file_type::file_type_choices;"
    )
    with op.batch_alter_table("raw_files", schema=None) as batch_op:
        batch_op.alter_column("file_type", server_default="data", nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("raw_files", "file_type")
    # ### end Alembic commands ###
