"""add user_rating to organization

Revision ID: 9cce5410d6c2
Revises: 5c34861d9ef9
Create Date: 2022-11-14 16:03:13.161193

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "9cce5410d6c2"
down_revision = "5c34861d9ef9"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "user_ratings",
        sa.Column("organization_id", postgresql.UUID(as_uuid=True), nullable=False),
    )
    op.create_foreign_key(
        None, "user_ratings", "organizations", ["organization_id"], ["id"]
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "user_ratings", type_="foreignkey")
    op.drop_column("user_ratings", "organization_id")
    # ### end Alembic commands ###
